package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 报警类型对象 hw_alarm_type
 * 
 * @author xins
 * @date 2023-09-15
 */
public class HwAlarmType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 报警类型ID */
    private Long alarmTypeId;

    /** 报警类型名称 */
    @Excel(name = "报警类型名称")
    private String alarmTypeName;

    /** 租户ID，关联hw_tenant的tenant_id */
    @Excel(name = "租户ID，关联hw_tenant的tenant_id")
    private Long tenantId;

    /** 所属场景，关联hw_scene表的scene_id字段 */
    @Excel(name = "所属场景，关联hw_scene表的scene_id字段")
    private Long sceneId;

    /** 语言code,关联表hw_language的language_code字段 */
    @Excel(name = "语言code,关联表hw_language的language_code字段")
    private String languageCode;

    /** 通用标识（1：是，0：否） */
    @Excel(name = "通用标识", readConverterExp = "1=：是，0：否")
    private String commonFlag;

    /** 处理方式（1、云端处理，2：终端上报） */
    @Excel(name = "处理方式", readConverterExp = "1=、云端处理，2：终端上报")
    private String handleMode;

    /** 状态（1、正常，9、删除） */
    @Excel(name = "状态", readConverterExp = "1=、正常，9、删除")
    private String typeStatus;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String alarmTypeField;

    public void setAlarmTypeId(Long alarmTypeId) 
    {
        this.alarmTypeId = alarmTypeId;
    }

    public Long getAlarmTypeId() 
    {
        return alarmTypeId;
    }
    public void setAlarmTypeName(String alarmTypeName) 
    {
        this.alarmTypeName = alarmTypeName;
    }

    public String getAlarmTypeName() 
    {
        return alarmTypeName;
    }
    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }
    public void setSceneId(Long sceneId) 
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId() 
    {
        return sceneId;
    }
    public void setLanguageCode(String languageCode) 
    {
        this.languageCode = languageCode;
    }

    public String getLanguageCode() 
    {
        return languageCode;
    }
    public void setCommonFlag(String commonFlag) 
    {
        this.commonFlag = commonFlag;
    }

    public String getCommonFlag() 
    {
        return commonFlag;
    }
    public void setHandleMode(String handleMode) 
    {
        this.handleMode = handleMode;
    }

    public String getHandleMode() 
    {
        return handleMode;
    }
    public void setTypeStatus(String typeStatus) 
    {
        this.typeStatus = typeStatus;
    }

    public String getTypeStatus() 
    {
        return typeStatus;
    }
    public void setAlarmTypeField(String alarmTypeField) 
    {
        this.alarmTypeField = alarmTypeField;
    }

    public String getAlarmTypeField() 
    {
        return alarmTypeField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alarmTypeId", getAlarmTypeId())
            .append("alarmTypeName", getAlarmTypeName())
            .append("tenantId", getTenantId())
            .append("sceneId", getSceneId())
            .append("languageCode", getLanguageCode())
            .append("commonFlag", getCommonFlag())
            .append("handleMode", getHandleMode())
            .append("typeStatus", getTypeStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("alarmTypeField", getAlarmTypeField())
            .toString();
    }
}
